Documents
Delete Document
Permanently delete a document and all associated data.
Permanently delete a document and all associated data.
Authorization
bearerAuth AuthorizationBearer <token>
API key as Bearer token. Format: signsecure_xxxxxxxx...
In: header
Path Parameters
documentId*string
The document ID
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.signsecure.com/api/v1/documents/string"Empty
{
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "FORBIDDEN",
"message": "API key is disabled",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "NOT_FOUND",
"message": "Document not found",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}Create Document POST
Create a new document. Returns a presigned upload URL for uploading the PDF file. After creating the document, use the returned `uploadUrl` to upload your PDF via a `PUT` request to S3. **File Constraints:** - Only `application/pdf` is supported - Max file size: 10MB
Generate Upload URL POST
Generate a new presigned upload URL for a draft document. Useful if the original URL has expired.